JB Multi Currency

FOR JB TOUR version 2.1 or newer  JB multiple currency module allows booking...

Joomla 3.3 or newer